Package oracle.dbtools.plugin.api.json.objects

## Interface JSONArray.Builder

- All Superinterfaces:
    `JSONNode.Builder`
  Enclosing interface:
    JSONArray

      public static interface JSONArray.Builder
      extends JSONNode.Builder

  Build a `JSONArray` instance
  Author:
    cdivilly

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JSONArray.Builder` | `add​(java.lang.Boolean value)` | Add a boolean JSON value
    `JSONArray.Builder` | `add​(java.lang.CharSequence value)` | Add a String JSON value
    `JSONArray.Builder` | `add​(java.lang.Number value)` | Create a numeric JSON value
    `JSONArray.Builder` | `add​(java.lang.Object value)` | Add a value to an array.
    `JSONArray.Builder` | `add​(JSONNode value)` | Add a JSON value containing another JSON document
    `JSONArray.Builder` | `addAll​(JSONArray existing)` | Add all the items in the existing `JSONArray` to this array.
    `JSONArray.Builder` | `addNull()` | Add a null value
    `JSONArray` | `build()` | Build the `JSONNode` instance

- - ### Method Detail

    - #### add

          JSONArray.Builder add​(java.lang.Boolean value)

      Add a boolean JSON value
      Parameters:
        `value` - boolean value
      Returns:
        self

    - #### add

          JSONArray.Builder add​(java.lang.CharSequence value)

      Add a String JSON value
      Parameters:
        `value` - textual value
      Returns:
        self

    - #### add

          JSONArray.Builder add​(JSONNode value)

      Add a JSON value containing another JSON document
      Parameters:
        `value` - `JSONObject` or `JSONArray` value
      Returns:
        self

    - #### add

          JSONArray.Builder add​(java.lang.Number value)

      Create a numeric JSON value
      Parameters:
        `value` - The numeric value
      Returns:
        self

    - #### add

          JSONArray.Builder add​(java.lang.Object value)
                         throws java.lang.IllegalArgumentException

      Add a value to an array. The value must be an instance of `Boolean` , `CharSequence`, `JSONNode`, `Number`, or the null value.
      Parameters:
        `value` - A legal JSON data-type value
      Returns:
        self
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not one of the legal JSON data types.

    - #### addAll

          JSONArray.Builder addAll​(JSONArray existing)

      Add all the items in the existing `JSONArray` to this array.
      Parameters:
        `existing` - The array of elements to add
      Returns:
        self

    - #### addNull

          JSONArray.Builder addNull()

      Add a null value
      Returns:
        self

    - #### build

          JSONArray build()

      Description copied from interface: `JSONNode.Builder`
      Build the `JSONNode` instance
      Specified by:
        `build` in interface `JSONNode.Builder`
      Returns:
        `JSONNode` instance